Bug 81967 - [regression] Selections in Blender renders wrong
Summary: [regression] Selections in Blender renders wrong
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: 10.2
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Glenn Kennard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-31 15:42 UTC by Sven Arvidsson
Modified: 2014-08-21 14:29 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Screenshot of bug (29.96 KB, image/png)
2014-07-31 15:42 UTC, Sven Arvidsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2014-07-31 15:42:03 UTC
Created attachment 103754 [details]
Screenshot of bug

Hi,

Selections in Blender edit mode does not render correctly. See screenshot for explanation.

Everything is correct if software rendering is used, it seems to be specific to Gallium as i965 is not affected.

This regressed in an update from 9.2.2 to 10.2.4 so I'll try to bisect when I have more time.

System environment:
-- system architecture: 32-bit
-- Linux distribution: Debian unstable
-- GPU: REDWOOD
-- Model: XFX Radeon HD 5670 1GB
-- Display connector: DVI
-- xf86-video-ati: 7.4.0
-- xserver: 1.16.0
-- mesa: 10.2.4
-- drm: 2.4.54
-- kernel: 3.13
Comment 1 Sven Arvidsson 2014-07-31 15:43:04 UTC
Comment on attachment 103754 [details]
Screenshot of bug

>PNG
>
>���
IHDR����	���a��ýPLTE����	��	����
>�
>

����ß�	 ���""$�!�&�&�(*�+�,�-3�0�1 �2!6 9"�6$�:#�;$q>&�()'?'�@(�A),-+C+E,�Ü��F-�G.�/1.I/02/130O/�231K1�P0�Q1�N3�R2463ÿ��T4U5�V5�897W6�9:8Y8�[9<=;];^;�_<�?@>@A?a>�AB@c?�g>/
dAi@eBgB�kA�DFClB�nC�FHEoD�pE�bF&IJHrGdH(sHuI�wJ�MOLxK�yL�zM�|O�NRTQ}PQ�~QP�mR6r
S�R�WXVqT3T�S�T�UV[\ZW�Y�]_\Z�[�\�^bda`a�aegdb�a�c�d�hjg£d�f�¤ekmj¦f¨h�©i�npm«j�­l�qsp®m�¯n°o²puwt³q�´r�wyv¶s�¸u�¾t�¹v�ºw�¿v|~{»xÁw�Ãx�¾z�Åy�Æz�Ç{�È|�É}�Ë~ÌÎ�Ò{1Ð�Ñ�¿<Ò�Ó�Õ�Ö�Ü×Þ�Ù�Û�à�â�Ü�ã�ä�ÿ�å�´0çè�èê�ë�í��Ü�ï�ñ�òóõ�ö�£¥¢ø�þ�ù�û �ÿ�¨ª§­¯«´¶³¸º·¼¾»ÂÄÁÇÉÅËÎÊÐÒÏÔÖÓ×ÙÖÚÜØßáÞäæãçéæìïëðóïóõñöøôùûøþÿü\ãËÒ���bKGD�H���	pHYs��������tIMEÞ!9|ð�� �IDATxÚíÝq¨G7üÓß%æ
<V$æÁÃ*ÏÕÇ~YV}
ÃÐãªIFbæxÿX]æ¹³0b!²ÆFWG?rÑqG_ÜËYÄÕåeÀõ¹+¹êÍÎÎìdìxxOî>]]õûUWUWu÷9çW<Ϭ¹çÞsîíêOWÕ·ª«-*T¨\þî»ÿÇÿø¯þ˧AÇ
>Ê�?*TªHþ¨P© ù£B¥:ä
>ê�?*TªHþ¨P© ù£B¥:ä
>ê
>ù£BüQ¡Bþ¨P¡Bþ¨P!T¨P!T¨?*T¨?*TÈ*TÈ*ä
>*:åÿþã¨?*TJ×÷ßBþ¨P)»ü7òGJõÍù£B¥ìòßÉ*ûûÁÈ*ä
>Qó÷^!T¨?*T¨ÿI
>òGÊ0æ¨P©¬Ðü;*µ�Hþ¨P)àù£B¥ºBþ¨P!T¨?*T¨?*TÈ*TÈ*ä
>*ä
>òG
>òG
>ù£B
>ù£BüQ¡BüQ¡Bþ¨P¡Bþ¨P!T¨P!T¨?*TÈ*TÈ*ä
>*ä
>òG
>òG
>ù£B
>ù£BüQ¡BüQ¡Bþ¨P¡Bþ¨P!T¨P!T¨?*T¨?*TÈ*TÈ*ä
>òG
>òG
>ù£B
>ù£BüQ¡BüQ¡Bþ¨P¡Bþ¨P!T¨P!T¨?*T¨?*TÈ*TÈ*ä
>*ä
>òG
>òG
>ù£BüQ¡BüQ¡Bþ¨P¡Bþ¨P!T¨P!T¨?*T¨?*TÈ*TÈ*ä
>*ä
>òG
>òG
>ù£B
>ù£BüQ¡Bþ¨P¡Bþ¨P!T¨P!T¨?*T¨?*TÈ*TÈ*ä
>*ä
>òG
>òG
>ù£B
>ù£BüQ¡BüQ¡Bþ¨P¡Bþ¨P!T¨?*T¨?*TÈ*TÈ*ä
>*ä
>òG
>òG
>ù£B
>ù£BüQ¡BüQ¡Bþ¨P¡Bþ¨P!T¨ai?*TJFjÿ¨P4tä
>êÐ?*TÔe¾Dþ¨P©®©sbü
âiBÇ¡¢þ%ÿè4qq:Í7 #ÂBG³ØѳuìÉuFûV­Aò7¢ýÛU~4«½¿êÕÕäTd/a&?f'	#5kêFÌà"k³àSüqÛòäuú[d~4í´c*Ý-!õÔAEêG³èQã&y\Ï·?·èÜ&l% ®ù-²	+t@ÚåSòç¾¥+n°]å)R®?K­æZÒá
r·Ûí!R'øÿ¸¢¨R_5ïÂIþj䯲»÷Ã6 ÿ®¿EÒ,¸øGëaº>èäO]Å)÷À·Ù£ò[ä4NIÞ¡È¥Óå1CrAôäÏ÷WìpÛë´»:æäϨº*O¹ëoPeȪäOûpkáxÑü_±Q¾Ýkdõ)w;£ÈüT*øÉ?¤6ÝÿgÅßð¤Üu0¨r4Á×4ü!oQÅbkvvü©ûÚ»ú0áéùKU¡«§K­ ¡÷G)wµèdZÏÅP£·°»´i¨ýQÊ]#tx#¸H |?ªxcGýOÓdSngKbÚHhS î¯)ò¬¦ÅFáA7J)·£Ó£­"Ú;ïyº}vûK_ã×pu*çÆФÜnê/eµò¡)¿E¦5Õ-­m"ºK¹íÎ9KW([dé(
>T*{7�]ÎÉA)·ý÷4|îó»ÿg?ÊÆ1¨`c8ÐÉ䨧ÜÀî½:ÅÕ·Ù:al+è6~vAÊ­ÿ»Èf»å^ Zu.²uÊãGNï*`£è(å63¨³~ÜÑ9¯{Â/²öË´¸e}æWò2	6jÎúù1|)wÎ^ôzà ­y×eÝ£l«5|û¿PÊ]ÉoØÊ´¨ø¯Ãg:m{gìÀû£ÛAÊmëâܶS£Å~Eõ-u`Ã)ºÂÉ
ôCr[êeÙ¹Zi�[ÖbLÛ]nUÞpRn×cóxz/æ¿È"72¹ [l»á{õí¥Ü§ÅQ\Á᤭1CÛ?1¦mN©5l£³¡PÊíô³mõÒ¤ïÏîz;;ëáû@V6þk{UÌ9GÌ*yèRî¿ÝkºÑ»ÀÓBÏôvÁÁm Óp¤PÊmÿô°Ð-³?R7}§EøN§T¹¿¥íÒí.¥ÜNÏSBw4m,0ýe¹¾¨cí\ìúÑ}Q¤Û:;Åi»À/³¨Üʹ±¬ªá{Cöñc¶þrKÇ)wkhRn.Õ]ã·Yä¬ÎeØJÏýüC5L¹ÛVÜXìyTKÛÂÕ~Eeþbõ{TNþ9f³B(åV93ï¬f¤^ôºjcܪ®Ó>syócTs}ÄSn÷èþIkþLµ²3×þÌRÊ]¤#TQ'©]¬
êiýët¹¯	Áüù÷1k5B)wU)·å#k30[dí«û­îþZccÔ¹IkUħÜv@?#÷­öÒI\¶?´	¤;§Rkr9°ÅãaþlÜÊ	ª­ÿªRníDÁsdÌ®@»ô=U~p+%¨¸þzÌâ¢c«§øȤÜ9¿ÝåKí_¾¨?ájë~»~þÚ+¥2ô/~£rKYY¼tØ(Èßoæ/æÎK%;5T¯ceTÉEÙvÊmµ#äâ	)Ö�Êonsv/Ò»¦9ü
ÕkËb¡¡Üó+ûRSQÊÝ®{ʽáÍ&°[3·]2A}óú{ZãSÊm­'Úÿ1Ë#;ç=¼üÇ·&¨r¼üÚr¸jTgÿ1uA)wñ1TAµ	«¡wìú[4¬Ìêòà©*q
>Rîðw³t5³ÚÊàÒ}e|ÑxZ2¯�ßÈtöÒû¢·ÿ¥ÜÄj³=Ñ1ûO,3ýɲ°LöK7ñäg²%#ÓE#(<zªfþ4ånÕ=åÎ}èhÿ;Ƭ!¿oÔ.1Uf²ûJVÝxÿߨ¿ðq¹L®ÛªÑcÕ8ÄÎ	êî?8)w»ä1ËÛÀüß ß.³ÈÆ°4ðçÁÍbïóí_ÚZ®ïÔÞÿRn×öÍíÔQÚÖ	½ÌK½o°ã¯ß.SØe#Ø°[¿r´5&v°Íõ3[\'³ËÉãÙåé~¯EñÝß`gX¿ûPVêwRnaÌR@g)·éU2Î?zyd&íûKû¶ýðÇÒ!®~þ¯ßÁL¹ç?åv°ÝbÒL i@f¼ÛfÚ÷×ûíôª¸Æ#3zþÃ¥Ü÷G.å¶0îlÕCzFþº53ißÓ*w+òßTV@°¡{µÀõ7þpXSî1ËôKZ1¢¿q1cÎì¥7X¿kï?¯4²«aÊýM¹q÷±Ê|8è)·
>û�ì5mÒ¿èm½YÒ._eü1]EílÎÔ/徦Üþî|Ê=Vèìj·Ó½YÚö4jo6×.wY~+ýP¦ª!îO'P©(å~¦Ü÷Ñûê﮿¸a{Ì]ô{÷9<:táO(3 ýÁ~ÂûÖ·xßìµìõè6gªI¹Q¸¥ÉYÔ߬öÝ[w¥ÓÙÑÞ¤¼@¹jÇ?ÝöOèEí`
ÁF­Z(¤ÜhdZESîYí7{8@)÷þÈ>3¸ÆÎèI'þ²½q¤©û)½þ'/ÐëwE[F	Xû!v{`àM¹õý=¤{L]¯ýË&[ø=nuþÌØÕ,EgcjßÊôØÑàÀúsrß×!÷3fþûa=Sî1Å@­×~+ÑpbiÃ_r<Õl>%¥ÆäCÑD¦|SnëþÀsFïÍÂ3bN¹ï×4åSÎÁQ'K@µ¹«ÙÌý1 Î
¨?w)·M )÷'JoƶwÌ5K¹ûÍÝJÏ9{=ùBg«ól?Ó¿~#èA¨Ñ!®Ø³[Z¿¦Ü÷¤o¥ÜÈÇ?¨GÊ­ÿqYÖéÉOôIþ&'AýÌÉIWþ"¿9FÙZ¹íû!Yêú»§àxK¹ïañòñ³PÊ}ßZÊ]äÞcyM©?þj¦!#¹²Iîtå/¬)Ð_®@ëåû+rß×ø¾¿4åÁRî{Íï,r?´±a»¨c9M±?®	TÁõ(:ÝÒûrÈjÃ_·ý.sÉ"òàYóW4å~èpÜ(SòÇ
>ÁRîÍ^î,rß·ró[~ªcpæ{öæûϽÍ=±$öäCu^úàjjgþøªúæ\ºÌ×ÂB¦RýL¹à
ͤiÊ=¥Ü3­ì,rß·rÞo9&VÊÙë©è²o{Ðîp?Â	ÄBkþ¸þ
>s^ö³zî?è"åtô&µÉÕxFûÍrý1WÖöRn|ËOsþ°hеl¿½²y¿ì0äASÿx±cñg#V®Çª)÷Cu ÀsbÊ­ÿfÈ@)÷¬µ»]tZ­ pºÁÜ_ÿ*ÉÜû>è<fÌñ(ôt¿ÌÅrýÅkîÏ<徯îïrøCSnWþ"¿oÞ·rëËVUýnæ¤êÊÐüBy&ü1
¡¿`XøÑpYËÒîÌSn|¨!#iïfÐ{fÒ¿{PÊ-ú{h-å6Üî3ô7©²2Zx¥û_~û§=üáEÿá9EÎý©úRn
3HÊ­ C=å¾¥ÜüuÛ?!å¾o3åÖ$8ÆÖEQB ©³f¥3®éOX
4}Êþºæ¼oqégØý~aºaJÊýÀÈdʳ§ÜwÑû.rßÕô7úRîûSn­ÞZ¤Júüá-cTMlWëwæûK<pú]ldçôºvüï)¨rÏªÏ¨Í )÷rßESî»hÊ}K¹­øûDH¹ØO¹Uß ûiÛÍýe.mØ~ºþ:ãúþvN=þdzðòë8þÛ9ÝЯÌŹÆü{V=ÒA: wÑû.rßASî;XÊ}K¹5ü}"¦Ü³NRn¥Zkc»¶?¨K¶skÆ:
>ÁhòJöðg;¹ÙÌú¥ÂÆú[ÀÊ\Äß8û\ véjØãçSîöüõÀ»hÊ}«ÌÛhÊý3,å¾¥ÜwÕ¿{bÊ=[QÊ\
·«úLKü©­SòdøÂlh_&ü~ÏÞýdVG VkK¹ï+ùÑ3ï¢)÷Ï°º¼¦Ü·±û^Êç/éeÿþû¥¥ÜáÕ°wNmß.÷mïÀpÁLAÉaÆû²²9àÙ/ºþ²È\#ÕÚõÇ¥Ü-ùcSntdÆ3Kë}!û
>[m·öï®ÆðoFH¹¹?ÿ¡ö£�¿ä\ßäÐ
çþÀ&PÝßÿîä/3>ÝÉÄÜ+:4#´ì/rßWÊZf8I¹ï(úëkúcÏÛHÊ}GÕ_×ÜrÏfÏûã%ÌL¹ogÏoù
ç&þ &ÐË_å33ÏÏ~=Mýå¸?/Íb<õ#3hÛ_&å~ vÂ=Í»XÊ}»°?¼eÌM¹w¡[D9mîp.{Foïe*é3ó7._fÁ´3eãý'ZÛÎDhÙ_6åUÊZs¤«7©è©æ[¨¿[XÊ}I¹oãþ[ô÷I6å~0^
>À9~´ÚźÐ4aºÂVþ	ÿÀLÖ¿x h±z�öý1)·ª?ðbýÌÛýõ_¼¥Ü·û6rßRnÑß½l1krëUÈ8¿qíöqÇþÆ'øëß26³.üõ´Û¾>fÚõǥܳy³êÑòLêK¹oéûCSî[*ÆÓ«Æ4ýÅà¬-¯²ãÇBq'èv×þÆ%{vþÇýá¬ÂÝ¿Eýu?ÄEÿ¤°a¹§óM¹1Ù#zW-Îd¿>©åï&rcÌÆoMJ~)±¹Vô7ÕëÐ_VYhº�MÕ_¦TÚ¿çE
>ýÌI÷þÂÚqs'nXA
Ëû{oW Î5ýÝÂRnuýûêI¹oÃ)÷m¨ïÊý±[Ü<³í.­<CÝû6³ª}áùçû/ÉnfR¸û×¾¿³{ávùõ§ü¶³q§üsPxKÙn ýOÔß
$åFL#³iSؾ	ó·Ý¹¿´×_?ÿüdGÿ1òE©ÑôàÏÕãß-úËN9ôRîOøÄú@/ÇõwSßßM$å¶ìo¼ÿBW!èÜ8Öþmwï³!®²óó¹3NýÍyîõsêoÉÔû)÷=¥¹ö;Zþn#ÓL7°þçÇírëø»ãïþßq¼t"@þ⫤ä6?îVÍç7ð'{,¨M.Úñ¦Ü³[Íßm8lÍ&ÕüM£þþ_,徤Ü7,úKÎû)·? ð¹ñI~6!©X î6gýßq)/ïÅ?&åͤÜ3Jc==7°ûã||Ê=¥Ü#réCþn+ûurçøË,¾�£ìXѬé	ÔÞÞCVØÓüYk{ô·PÊ8£¶·Ù&pZ¡ý{^ôö3§¹QÈß]Ü;¬¿@gþâ¶ëi?ÒakIß²ôÛ¾¿¸4½m¯OÏÜr?çÜøÃÆfc)÷46ÈFSîi,åF>Ħ¿Þùµ-x¸¿ñíe´à½	nÞÌÎÏ?掠¥ÑùW~@Ú?ÓfßÍÚÓö'I¹ïÃþ¶«d-·Ú9ÉhnRÇ_6åWþI$ÊXðü/äçBÆ8¸Ý¢?qn®otÅy¾DÞó½¢÷Ùü­úE§ÿºGж^MôÔýåÞ#?ÞjôIöÛ®àïVû7¥ÜÓXÊvM¹¯+û?{³¸¿¹zõªvöærüÉn7
`À{ÀÝyúx«ç¢i?»òÍ?ð`_Q¨-^¾?å½)0"ÀÛüÅ{M¹¯c)·¿^ÍN«·bôÔß}Õ¾V÷ÇËñ'¨éo~zc®tgè/óIVüIv;gë3=Üö0sé¼û=þÛnèïcM"¦~Ê}K¹QÈíèïg¿OSnG¾¿~ðÎ&í¢¿çõû¾éª´"·ÿuÿ 9ßó=³;lß͵'ø3Þi.öÝâíyþnh@C¿<1M¹¯a)÷5MãÓp^ó±¿ÛLó4æC~ÏÏ_�ºÝÜ_îsV2_×zfõóÏ�õùëÿMs¾?î¾"5z©¿{ £üY8ò¼Ë§Ü·Õi=Q+¦ÜW±[ßÜ.æ¯{Í{`7åÎõ'Ôò§s,~c®Zûgâ/Y¦åoÆç<
q©ÓüYØ{°²ÍâþXÅÛ?¬k8y
M¹¯b)÷U,å¾&s)|
>Äï7rüÝÍÌÎÍZK¹9~¾¿¨´vÀÖc7Í*ú{ÞÄ_»ª?°;:þâfO«Úl¬Éø˼˧ܷ
>·<Àþø*r_ÕN¹¯Ê?û þfÂQþ¬ò®Àýõ*H}l­hüþ7òÎ<*=þh¼(ô:þø§òµÓÊú³s¿;|ÈvK=jÁü]CRî«ú)÷U,å¾g?#Ð?4åvîÜíiò7>©üEýu¿ú-ÉÓoûÛõË_ºüzþ<MzòTFìÚ�xñ÷³qÓZc°«HÊ}M¹¯`µ|KÙ®Êís¤èïÔ,ånó7ÀDä)÷4ùÏßµÌlýôÕoBÛÏseþºÍWò7ØËÝÿÓ¿O@·»¿øJÙ¸¦Üöü]Ï£ë¿süÝéÿM3sþC6¯�ý¹¹\̹=M¯(Éòü±ß<åÊþ4Q ÿià}î^¿à
Ù.ÐUr_Æ*ó2r_Qñ×ÿ(Ðßt¿ÛlÊ}?Çy#Øóçûs¹þÒ§­]ÿ¢NÚô'½ýè[½!üÍYõ'kíø{Àø»;.¨îïr_E1a)÷%¬2/a)÷e5ñ¤èïfæjÒ?2s3¡¿OTªÐÜ?'ñÇîÛíh&Kò÷-Õ§¥?373íé}
³¾ï/¨æ¯×ÏDRî+ãù�'
ü=oâ¯w"]Sô¹Üî§Ü]UüuCaTðÇMo/Ñ߸æ6/Ú]S¾%>.Ç_¨Ï? 3ÚhÙ�8ˤl¸¿À*=ÍI~&¤	n/b?qK¹/i|öäd®¿ÞøÆ$tdºµÝõ÷À¿§\þ|f&ÞaLÜF³ªfÒ?öQ¡JPð77קçÆ׺öwO¹?ý=Íü~¦¨	xûXÊ}I볯~õÇt~¸+Ïí~Ê}·ëïVåùó=y¶"lIáØäi~fþñ+÷Pss=þR
³lÊ}÷×­ßi pìi^UhæplTî/ÿ­rýA)÷u>åýÅ£ü®¿ÙͺÓöty$1¸öö2ýÙ{Aõñca þ¢gïpy¾sQ=Úñ�g[æo|û4j^×êg^RÕ4iîïÖg_Rn1áZþ[üiôBwÝÿß;«$öíåú,:EÊÛ/¡ó±¾Rý%ë_ÚVüÅ)wfÈwCÌZÄ^Â5-Ñ$2ýĦ?þU åýMóþû¿ünh¼4=º%üÀ¹9©?]Ñ춦KIn½�·ú*aE$úÓß'¿À¿üjz»rOó²f£5¥ÜÖü!ô¯�)÷µ·æzÓ~1?Ƭû¢pg|f�èÅI¨Ä_þ®hûÚ7æ|ü¸&&¹BþÜòKÖ¶-ùëVhÿ²W*�àU­ÖFÇ_T¹úþ¦T?º÷]Rî«rQoçaø?·ýq |Ëè/¬¥9É#ȶú3W¾1¿÷BsûOV`÷`Tî¯(À{½QLT··3'çMþx]WhÃ_¯rQfðÇ\T.)·Ô_WßÍðXÝ/ê/i%K =ø#ȶì/ÿÆܼÇLëoý­>¾î±HÐàûóogZ¼ÀdÃv55­°Ûnû'_/)·Ä_¯í»Á¶ðÅdü±'7ÃÛKö'¹1Wí1ÓåØíGÝjz!s~õþ
>ý)÷­LÊý14Ù¾])j¹`ÍøøÚ/ Mér_RnÑßõLÊ}#iþB÷
>ùWî/êçðö²ý7æk-úëþñAÜ]wwãûV&åÖ]RîËVü¡Îc)÷yUñ¹|ôE åFüõSîÐßÔß]g5úÖecè,ÛÓF7>ÙøÔ_ÜòE',æ¯ø¹ÿ¶mØ÷é(ÇRîi¸¯¹ÝÜ:h;/yaRï'>Sn¬[
>Ôò!å¾I¹?öÃa_Iþ<Ô_oáÄ°Dn±×ñ77VC(0믤å/EýqaÛãïÖC&åFüe^Òi覴ýÃRîsØO|�§Ü©û»,¤Ü×2)Ûtßß-ßqǯÅN�Âþü¤#*lIQ?pË^ûþzöôÖÃ*@8åé]Çã®Õ}&åÆüe�^Ôö¡äIÕèHuJÇ<å®??¶¤×ÚÛÈ_ÖݤKq
pþºzPy�¥;r±þnÞgRnÔPÏßy3@xI¹ÏéÉü]Rî«QÜ	ú»Ój3�DýEh&Ùnm¾ÿæåÝkêo®W¡?_8ýÔÙÊVxöÏOú×çйí9#½,ûÀsHÊ}Në!~߼ȧÜW}ÄßÍúøÛA¶øcïÂ,Yô777Ç®íýÅILéËϸý¯AwJýÒLû{?>徤ܴڿsÆþø&ðrÛó¦ÜW}ö²Äø»Ñõw»6þú¸¬úSÚßBzc®¦¿96kùóûõüÝ¢ôg°÷ë]ÆßǬ¿.ÀlÊÍÛ¥þ>´åï,r´ñ	 ¿|Ê͵áaù$áçæOäøu¶Ý¿IÙY &°°¿^«'XøKêI{úm
[�� �IDAT¯Ð6É
í&êïÞíþ¥}ùë®%)74Ù°]ÖÒéö3ϪøËDmgÇÝùãSî+ö/äWÌW²§f/,+êOú`ýss¾]çû­¿¨¦ß
6²ð!ßÀßÕtJ0êÖ\C¶ü	)÷YÍw?ùC(å¾À§Üýl·Ü§ýjî/Îdæ¸!?ù0oÜì|ìuO×_XOÆË_6²-+I×+¬Éã�-úCRn;þÎC)÷_Ëö°¤þ>î9ö§2!®qØì×\ªPêOuÃqsQÑïâ1ñç÷²PãågÚ+	¥åNêÏFýå"r¤MKMx&ÁRîYö¦Ü?ÿ?p½ò{qSo1ÀBO6γÐÌ¡7æzÐ0éy~aq,øS M7%þ¡Ï å²ï¹
>ÁRî3ããSî>ìI¹Ã£2ã÷ýÝjÓûÎÞðü	;çÅùw°=[ÝLôÆ\sÇÿær¯âOuúoìÔÁFËÀÛñ-5ùíß åþп3XÊ}K¹Oç¼¢?>åý]ìu?À¾¿¼ÊÖàg¢@;ç3~©µáxcnÞãÜYð-¿ÔBL©fпëQ²+½ÿ} úcSîó6üÆRîÓXÊ]Ø_ï\8Ç×è}Èßxø×Hýݹe.O¡û�Æþärô¨¦ÐÂÐÉɹ´àÅÖ˲¿äîuBZ3ùßÚhYõwÉ|àr×ö#$åÆ4aÌð8-÷ǥܿnû÷!ê/õwÓ<kþ2�Õ<DAú´Ó­KÚ¹¹ Èæ¯ÄdýÍÍɨѲ0Ïß,î/<Áû¬BëÄ4y¨¿Sº/äûc»@Pûw^â/<¯°þnßЦç|¹Ü^Ýkò<0Ý¿ôQ½9¸¤±%×­ô2s§²ôÄ??Hü}1þÓ6ýõîi½{àAæ/Sî³2bgó¾?$åFû¥`Ê}¯Ñ¿)¶Sî_	×Õý¦þXeAв@èÏG¾ý:w@¹ÊöN?§ã£tèù·mSÓ}3	E¯	Rî³²q³&UÀ&ëÓìïûÚÄ®?ö¢t¹{F'þnû7ì7z&à£e^Òæ5®i^à¯àý¹lèʲûD·íµìàCAkþZ·RW3þ.rþ¸0ñ¤Üg¹;nóN0Ã_IæSîÓlúõUüÅí_ØüIýµ_Ñ	@¹?a׬Ê_Òæ¯wÉI¦ßm
>Ïoôç_ñù¼ñ÷!ÔÿRî3\Ê=iØÎåÀSîHÊ­Öþþ¦|¡S~7¼®_ý}l¿Ñ+0$Ã<^Y3o&Í??uj½ø®r½k¿üÅ®ÀÁ*üçKÉ)ÜNw å>¥ÜþÄû$R˧
>ùáúwÃÓªçoÚ~£g4ßïk"­\³2½&÷çùªþÐé÷ø¢/ÿ´-°o°Ñ²ðfq|Ê}:< vK¹sü)÷I$åÎó÷Ph¦
ýuUàßÊø³*Oy"Hº\¾t׬θóÇ\u°å×ööªºÑ²ðãï
>{®EýO0³>°rÏõÔrDRîXÊ}J¹ïû¹þ½Rö/23þ.¤þü ñ×v@/×óx$é °~`ß_x¢ÍØîüôª±çïf¼¨?JÌàçxºÆç+rûz À$¾ÆØÀRîPÊý£æþ>üÝI¢Ý
>¦]Éùä©NÀs�«ðÍÛò×ïj«/ÿtPE-7äþ¿à,rÛ?ÇC[Ã6æLx£>¿�ò÷	äï¼Ï÷ÉcApkºåà/;®ç/® Õ	xñ#øóþì(Wgùµõz²ç寮¤î/fÃq
>ÙN)¶¿ãH-mâÉwéù;¥âï\Æ_xLn÷N+¾cÚUï÷×kò¼Àd°"Êü%M¾Âü²üÚr=5Z¶�~ìÇwµõüÝõy3¿~Ê=˵!Íìùþ@Áß}¹¿÷±öïrßÇßôÇóë]iäþ©î_~;*û7¯»_ôý¥Mæ4QB³J~ùëOéå/ɹý¨]O­éÔßE©¿³Ùö÷Ç�<)´5p?ó!ÌIÛ_¯	|¾ÑI_Õßñ_tzí_2ãºÛ­í1ÓèüT?f¤®æénZñg¯ðüÓàtr¯_ð®ÏÏ·ÏôÅY 9
¦Ü¿ãHûù;ù{J¹gÑ7:úZãÄsÕÉø»yÝIïS=£0¸f¥þ&ñ½ÐÛòg§dóF�Yîf£¿îaIÅYa¸ÄeMMPN°2�qÇýRîsß%¸wÕoø×íWm6Nõ
>î@!¬ÔØ
>þ éLýå×äÛY�ãÊßæÜ;ß7-¹tâRY¶¿p{þúWà³>èïbx×È5[Uí©| ª?[í:?ão½ìfÚÝtåϼ²ÔhYÈûë÷»Ïqã?1À>Pä}Ï{9þfÕüùÁQy¹óÇ¥ÜYaüVìoÚ¿Z¼jås÷ü5«õÇ5^vFy½Ûrw?Ó¯&±ìú»©àvÀå¿3¢¿`Êø{ñwÔ?ÿh Íq2+©ApJ¢dýOü]üéWm»ð4íö¯Y±¿Lèeg4Ëñ§WMðõ±Ñ²ðzxWi|¦ÒÝèsýÍ'qàqØßQçþàöwO¹gLô,ó|ÄxÌåÛÆ©ܬØ_ÜfGzåú+fÏ¢¿ð®wÏÙËýñÌßi!ÀcBgégÊýÁüAý)÷Q?¦»9ü9YçòýYBí@ÿû5ö~¤»ÿ@fàq½¿Ùÿèéþ`?¬ýûÄ 6G³¿rÊð)7äï/qø³)}µ±?dhYþú<ðkí/wYoÃ|\!ù¯'{Mpí_·`þÐÐo¾/46RGJ>ù;ø;§Ü¿ÞipL_TüÝLÐé+Rî?ß¿fùþ¸Xyh6Y?¥%õ&þ°ûZ²×DðÉüü@n*þ>Á91/¨ù»Bæ@Ö_zðiÐ]ÈßiÁßÄßõËRn¼jµýËhÑ_n÷ÖÏòí,
­`Mr_eü¿eÅ_ô÷=]iæë¿ÃpÊ}4iôfXþغ?K,ö?¥øKïM]êþìí>_Ü?{C¯2{[þîHýÛ¿&7ØBú÷pNÌ÷ôýeÀ£I£7#küeû×/YL¹íN@(ÿýÙ{Óá7
>lù+úð÷ÂÏ?RîlñÇ2Ýúñó»6ýÍp_OSî#`þùZóS¿ýYèÎТ?~¤§²ÿ][{yëÏt÷C`ýóoñó}·¥þa㿦øcNuÇE·@ú×üJ[?¥hMûþ ÛôäþÀg*þLqõRðù·xmÓS}7ýÝEýõÎí?Í¿äë?>å>¬äï¿éx"þª¿.�mZôÙúPÃ_\GúÛ/ôWt×Fþ{)¿÷?Ý[÷\ú4Àd¾Aîï}tæn¦©êï 5pÊ}â'øût59)ñwA¹ã~Þhv3×_Þ
BwSß/°-Ã_ôÔöâþ$Õßû2ëï¿£¸?? Ea¸yN¹ùüJè7¿
]M²þ~ø;§ã¯@ûWÅüÝMñe·­þóßÛV¡Éý1�OþÞC'îfÄÛ¿ø
><¸GDbc~íô:ä&þÌzNýe÷ÕðxHwÓÈ·=SþLÇ
÷U}³K̳ÎÞÈ~dþîàí_ìxPÓß;¿w {{£@ÙßQÀ=JýMiÖr
ýeöUón7í[óÝIÑÍé?mEþÒØqU5Mï`þàþÄõ´ÕüÝDü]Ò¯äúùc÷ÍóÇrÛþ|~ûürýi÷D­ú»È<[åì´Ï÷RÇÄÄx¨º7íûPÊ=¾ÑÁøÛõýðùöïzÜM÷/OÔ±µ�ÔxòlÐ]ÙÇÂSNýé5
õ}Ù[^Ç_¯cú=¹¿@Ä_âL(osþ+ðÛÐ7ßÅýÅ{G:EüÝÌv
>ùÓo­OÀ#Ï@ýýWþü ¨Ú:ÁÍîÖ?­çïH?à;¿·ûûß=
0ð'üa¹¿[¿ãö/õwÖ÷/MÖoÝüùM_È?ÿ`Ïó¸Àêü)öDmûëon}FôwËìoCݸ´¡»+¤Üï�fdþöEÅ»üx?âïmYd©ù;>Û?M e�립@mþϦ?_ܯæöÛ÷ÿétàïr@üíGRîýQ£wiUýÅì\G�Üá¸ø»øaÊ­?fK´¡´¡mÉã5ýYþiÖÚõ7ú;-ú»)õw(ß_àÛÊþ¢Ó`?[Jüíúóo²±(ì_MøùçÕ­í	øb7À7=!c)Ãtû»òö®ýIÁFË&À¿ë>7ßwÃÐßm!åVñÇôö!þöAyõw ÿû2'àï&пú»PÈ_"°­Ó�Ú[&,ÖMWåÏ´ý³¿û 3þiÁÓ�å[Äß;¿à~ÀãIÚ´üýùzÊþ6róþn@}飰¿3ÅýEíùÓ
>`<_ÀmIaÃçkú7éU¸ýÈ?¸'ÚhÙÈú;u=ÿùlaì/úCRî72ß%|]Hc÷IcÔèJ>æ ØüË{ç,Ôk~í8óǯn6kãOܤ×åò3£f°Ñ²	pÙÛ:ãïçï{¢¿hï¶rïÚ¬ð,x©å¿@ü½iæïrCíß!Åöïtèï;õZ?öÉÕÌ÷7ëãÏçF¢þ,í>CС¿k¿ô<¢è¯×å»-¤Üû%DÞDjyÓn±e/âï
%Qå¾£ÒþeGýîøØßöOÓ°�F×_2Ò÷;kÖÇÛjø³·ûgNO´Ñ²	ðCÆßIÿîï°Ðd¨ûëVï[BÆr÷$ñ·ñ÷¦¿^åPkÿ®sñ¾¿s¶ª´¤	ÌNïÈ~ÍùˬG«¿~3h×ßy?x2}KrCæ¯×fDOyMs±ÜÆ=øÛÏâgýkH¹ïúú[DãøòÜ!í÷Ù¬?v=Zù»_çl´lýåüòÀýÙÓ=>
Þ2»þö(ûçB¦¡?åëïXÂ/ô÷ÑÙV)�3[`ëúb-ùÈ5òǬG«?½öOÍßÈß{?à
ßG=gý%§ÁÞ¦ïÌß-ô}ÞÈüºýß;1§¡+ɶ3v.%þ¦Jòg8è¡7s�ج¿þz´Áöðâï¨ÜßMvvô½ïRn¹¿Ý¿ÝZþÞÌüºL«äù;ìóñIjÏB¨å/}°Ñ8.üå,?Ì¿ÚþÊà§é/à¹ôá¿ë¿QouÜ-¡ï³GH¹oào/Üþq)w¾¿c¿}þÞ}W¡vtüq2{n³|²í{×Ëþ_Gþ+EoC)÷¾ð<¸v(¢¿Ýr·ùÛúcÀi '}Èç/FâæïþÞ
Rí¨ù¸9½"O nVëOÿöwå_¿<¬¿ã}àA!³ÈNê%Wà7þ^J¡éÌßn
û¸{hɳþÞcü÷TÈzíäú!º�߬?Xm¶üÌ=GþNþ(ûËôö
>ç;C¡©êo¿ùþ>RÑäw¾ú»êÃíß9ÿLáfOÛ?]7m¶�üéf½üYX~ý®E{&þr�õýÇ.	þ®IýA)÷Øßn>å¾iäoð½7óýM©hÜ^zÒ2§íÐË­Ø_"¯ðlø§uóÇ_þlÓsá/xªó]ò¹	÷«¿Þ~ô¿ùKÞ@=1_¿¡â樂¿àRîëÀòÔþÎ_o¸þòÏ�
A¶¿é9ñ׿#·>í_ æ/3ýà¿üðdßßEÜ_vçÍéÌô¶pÎúë¼)õ÷:0oÀ|÷·K:äüíåRîëÀ_rпù;ÞõwÚx°§Y;éÉÕmó<a>GþÄרÿÉ6
>ËÏÑ3ô'Èø;Êú;øK»æþ7TüÝ°ãoZ2×ÀöëøÓºúJzý§X¸^ñ	ð5ÿþÞukϹ¿¿ÞÎÌeèzv ÅÝÓ¾¤ãØdh½ÔòNÄßNà{?Öó'LUÀþ.qCá©x"ðÜ)Ë)w]jÈ<½¹TÍúå/ýsõ7áMxéúÌõ4zÙâºÜt°;×_ðêùúMÓ(c%W»á>©¿Ã	¿ÐßÙS¶Sî6x³KÛxZñöO°\üPØßD_IËϬû;Ã<ÜèhÖ_×ÝUlëÍëÂH=éåþzõû±Ôß`Þ@âo§4ÅÉóô¤ßá©¿¶Sî6/¯]l¨æ<ôfýüÅM ¿ü%¤7QâòO#2°¿ ¶n¿Â/ÉøÛ£îïu>å6ò·ÃÈßuÙbèï
>å>À?*Ñ_ñ1Gmô/À¶àOÜ´zQÈøè5{%/ÿ´îï4óp££SLÊM8\Fü]+ä¯[¿Ó¨'æëÓ%ù{O¹ð]ñóqý¬ÒzÊ=PNõxþAUäã/lc]{~˯ÍüI�öûO¿¾7%lÓ§ïoèÒû{ñ÷
>ìo4EÍ÷·K¹ßöyÿxÏOýY¤ÕNþiZùëVR×_lÏ$rÇãFïHú4²Äß%ÄßU©¿ë¹þrÚ¿W¯jùÛ©âïJÿ	Ø¿jÿÂ=i§ÙË4zíBþ,.�ͨÒ_ÞÜD»ïç¯Ý>ÇúAÃG¸¿·
>ùL71Oayñ÷²¿kjþÒ&p_Æ_x$ÎEþ&ÎL´r·j'³¶'äÆ_³Nþ&âVo®äÝmùÃSîSéÓ³í_´à%!öþvc>QÊý2\?ÛÛï½wKWÑ$6êaïáSîý>ß8G'üÓþIµÛ�Ú`tÛ¿fMü1ÎÐ_0ðþ2}ÌßÎßþD¿^ýnëg+âo+ìïei£á/n÷³¢ëobâ\x
>
oÖ:12þ@%ûcí%óýnJ9»Úñ¦Ü'ûùKw ó!ï/ííUô·SèñÁÉõ(åÞ*õw½¸~tÐkë§ÏÁ¸ÿy¤ëï¸jm×Ñ°4½=äö£�_jïI¹O2Ë:É�3þö£&Û Ýúû�"þ¶jø{]ô·O¹cñÅ·?þp@Õø¼äö÷ôIiàOrL6;ãüíçüe^ô¤¿D²-¿-À÷^Cý½ùãØâu$èúc:>ï$þûþ©c­ò�VïÏoío¢àå·ßáO!åÆÚ?¹¿ÞÄ ?Èu´A³æo¿ný¿9ÁQgï·ÊèbPwþ¡¼ÙÁô)sMzkíOìn¢þú�ó9SÎüE]Ô-ÍÂþ®¢þ^fkÌßÆ_rñÝpá³ÉD ³ö¯®þü¦Âö½ïåÿ¶å×AÓï*þ°^~xÐ?Ç7S¿KÐXªßéSðw5ÜÍÜ1_çÞh|yEÄ^¯#ìÅw>ÈûþN:kÿÚ©?àéHvý%^eûîö fþPy2'û8»Õü½ªåo3rozÆþ.çùãSî=þiÊÍú;émUÓ�VçO|:5aÄ9!~Èóçµñ''x"}º¿P_®ßë»ö(E@MýML\úÑ{zëÍÒÉøÈ_Øüùﵪi�ÕÀØ¿¾éÀ_ÔÕ÷äÓ?î']í¶mm%z¸¿ãéÓý¬øÛ¦ë�h×ß%x&2jõ¦f|OtÉøpÙgâïh«DF¨
("ª"þ¢{öøRX~
í¾è¶íBÚ^ÀãéÓÅÞaý½)õw\Õø»¬åO¨ãï
>êoäo[6åòqQú;]ÂîPõ×M[þ¸f¯°?/	Bµú6´½<ǧû8ës^>Ôö·ô·YæO�¸)>¼W¯ëû»ég{S@3¾Ûï_ºú;]?¡vjã/ûx23é5Ïøö#dùu`°üÌT`£e(Oæïäoço¿Kùþ®d@5aWü]Æü}ÍçüõÎ�.Êñ×OýÐÔî?jñ7Á\ýu;¡ÓfmË}Öû¿·Èü½µ:Úþ8þ6ù²IÞï|ëÏß0þ¾ç6]k;(â/}<ÙÆÝÿ§îÏø3~7 Ø°=Æhµ¦�EçSý¹ÈßÅ|9P/ÆïǾ|Þ¥<aÄ9ÍLÍxÖßÝQ`âïøõUP§³±÷ÒÆ¿hÕå/üóº-ë�û} s"¾.ø{Ù¢¿À
¿
þ¢ÏÉ<ä ?æ(ô69¥Sþñí2bÏ ®Ä_XA´ÿÙéÈÞ%YÐ"ÿ³ÚþÉt6¬2²þ~Ä7)À¿mX³sAøê&
× q�Uý]DüMlNZ½ö<0Ýåó1Ô©0=àûÇ\ûkµNÀôç77fÆä]ØÔ%ú+2µ§Nп}g|.ðDüõ¶ªØvû.(úÛ¤Üë¢CË#×Áþ^SîÍkâï`»ïê¡ïNFÕýmlfóÂe2ýyø/«ÖY§UýMôw�Õäý]Tðw!£96ü öïå\½R·ý÷ýC­RJPWÐ0}AAbÐbÝäé^«(@µ9	·þÞùÛ!0[ý½û[¤ÜzþÖ)7èü½úóßÖÊ«0é¾ n^¨È_Ñåeù`ÃzõçïSö÷!¸ª%9çü¼ÛTp}§¦Ü¼¿õ°¿õ`ʽé)ËümUó·?\§îÞ_¦vêä/î5½yó¼yñËüîüms	:ðwñ÷àï,âï<æoSÀ(hÛ¸{u-äobbr¿¨Øþ	þv²£`Öß{ÁÈûó½ÿ§[¼x	ugB}ý¦?ÛÀÛ®°lXïãþ'×|óÏMø¥þ^áë`¥Ü{ÐÂC{K¹×9ËÜ-MÉó·;Óþl
>Ð|пÿÕõ÷ÆK¨;~Éþvÿ´PG(ÁýAFëp²Ûïïø{Ulÿ6õ·I¹_ýq)÷Z 廥©¿uýíàGÁ?WÚ©Ð_òÙâûðÿuËð_÷ªõÇ-±RG0AÇþöHü½Ì¸ÈÂËù18rÂüu©¿).e{Z¦àniJþ¼,=4â¿Q6å=héòjÒ�æi�7FþºÍßÿúøÕ5iÿågvê Ø°?ÈhJî·'}Y¼à%õ·MÑߨý�N1 ¸nNàÄrçúû@æגּ¿}¿2Ú7ô71±1ZÂñßWâWkÑÿÚê¦ðK÷Ôõ·VÝ_àæ{
ðqAïÂ?¯éï÷w¼Mùþv+w@üE×¼¸ÂüÓÔñkëÏâU2SÛ
û}Ðß~È_4áf[Õü­ãÇ\k{õ¼nIý%­äo*Ïß9Ù<äYñxµ·àí÷ü½Ùõ÷õÊÍ©$�-mÛßè£CÇþ
>Þþж(°]O°óþ|1þ¼°3/lÛ2)÷jØß°×Bþ6ü/þzÈØëûßqP¹&þÀèùã»úYÍÚû³zL6ì÷qXþnÁ_ÚÛ"�7aíèïÐßjhE·üArOq)÷*àã>Ìó÷¦¿m ¿p"ðð7×N5þ&à-ÆEøx¤¾Eºl
¿Rgõü­Ù¤¢°{{òwnüûÏ�� �IDATöo]¾¿­ü8ñwÈ?à¬rÚ±;¯â¯/xë/ï¦þl_%ÛmþBÉãýv(ìïOøsîi~¶hÙûC.eCü­kùÈÃQñ÷~ßßÛ.+·rÌcÕá7ØÈøÛ(ìKXG¶¯ò÷?8à
ékÕüDõSîyQÊ}eÒò·F¡ý;\D¶òcà£q÷ó¿ßmåµc4oà/3¯#y�õÆñoÔrêúû³|tå/y¼æîã>·àåÌße«óüEg@ÜÖ­ìåͲüüÀÇËówVâït1À¶ùî
üªôðpe|÷ÿG9u©þ:n-�&»}yÃqnÁ¶¿|à*ØßJ8å^Á|U"øúÐ[|n|4ü¹kÛ%ø©¿ìþgÍAðgó*éÄß;éãmwõFL¸Ký­7÷}ÇJ8åýkfý­Ðñ·ò·¶¿?gM ¹?¥hÙíúK·E+ÛÞç­]%ú8­éÓ2þz~'gî\Úî(øë+à{EtpÏq)7âo%XË«�ü,äi`û5ÿâo)CüLíOÀKüMÚ3ö�,ÇêòOwWÉAãïuÁpº¿³rÝà&jcêïîþÄß
>eü,ä) ½õ÷
>ëï­rRnö]mû¶,æ/X?ÕÝ?Ûõõ÷6ëï}E§±þçjÐßJ>åFý�ûí_'r»ð·NôÇeP}ûÊJ¹sýLÀODö
>lÀú*¨þþìÔQÃAõçï<ªão-vÞþVð)wäï«pÊýrCÐÎæùûdäp	Éø3¨#ñBor§ïiÇ;³g¾âÏojú3}üJáݯ-ìMáÄ_k
>õ·ÅÈ_ïÄýñ)7Þþ%)÷Æç¸û9+Ù2âï¤ØþmöÙ.8ëï7ËJ¹ýÁg2çÙ³ï/ÞMÛ½Û<e@EW6Z.�îOo´CâïE3pÐrÕ-ÏF÷,r?kâï´d2×_Ø8øÛ[VÊh>/Ü-éÈ_º-ZÍý¿¢i±ï»Áwþ0þÒ3@Ïßò¿>Àå°?øMV�þVþøþç&Ö__w`|ÀßSVÊ4þ&Ò\à/¾pHý±÷à6Z.�²þü£ÜÌßÌßþâø[®ä/ø{¶¿µ?.:¤ìÏ~Ø6ðÓ3¿ÂÀßð¶Ü
ð
}Ö¾Ôß+¿4X§æoe÷83h0ó,ÇßQÀßÎp=­òêù®yo@ÊóþLÓº?KË?-â+Ãß«ìé·Yæï$hgÀìIݤþáýE�¾õö&_e®|úEëkù³ÝU÷Ç?_¶dâCÄݸZ£åà¾ôñ~/GqãïÌßj å^áþg}LT·,üõêw¿¾eûüÙnU&à'¸YõJü�ËògöðM|Îü½úÛ&øK®ý­RnØßrÑ¿°~!§Ïüøj'|èoG×ßîRnm{öòÀ8õ'�tíOgù|nü�÷¦·ÝzØç&üÒp-äOH¹uü-ú;åܿg)núDBþÖñðºþ¬6^N�²güñ�-û+°üÚ>wþö¤·ý½úX¤Ü+øVôwZæïiÈßDü-C"\Çë-ø³ØÂþ³È¼Öüq�=»Û/ÁþþnÏ¿.@Öß!ÞßQÈßÄÄÉðXõüNº¿¥ÑÑ=-~Ùº¿ÕJíß+¾¿o·æEÍÀì3¨'S¶�¦
>YÖý\~V+­öôñ2/°½À*íùº¿¥¨?ò¤Ü§
>ø;\@ÖñàQ,¬éÏZèùAêoëpª,@+Ó·'Ì ù+íù·9þ¶b³À°¼Çøc{'¤þNò·ñ¤Ü§z½Up
>#×ßû¿õ ¿»þv-®µã¯w§º`o0óÝ¢¤Û¼R>þZ¬?ÿ·àåh¿Õ[3ÁàÒËåJþNø[¤Ü§7ý}5ßßZÿ0àoÿ¦¿ËÍ%5×ßDÒì
¿ÌᯭQOîüíù[½5ÂèIÝßÓ ¿%R§/7Å)¼¥H*ú{VÓ_·þN¼f¯¾?Mà»ïzwÑð'Ç#YÖ(m½¤#»¾¿ÍéÓp{3îGûÕü-Õñ·ö·H¹O"o²m¦GÅôZñÄþöø¯;U ôº%�r&àkåÙ¢îþÚÚÕSª¿ðÉÎlþ²O/àûgQñ}Ãêûã�Dþ¸I÷D/øLûß÷·Õ7ôgÖÆôúðå/Ý¢ÖþÚ&×FGþBÉó¥7LSîhÅË÷`ïcÀeêþKý¿ÜTñ÷4ÓJcþ¿ÿÖ_?½Ý÷·Óe°±',	Ê_KúúkvLùóWûþÒ;òwDâï9UKtü=û{
>H¹O"ï±ÔÔÿnHüm)àO½	|·.@ 0µõlIaìOçö#ýé¶ù¨À¡¿ãfoóAp?w@¥þNäùpùc�ôsü¬Pñ·?ñ·Óüèæ×7HOl�Å_¼%Eýµ¥Ò®üíò'^½MªþF¿ëwéRò
àS`=ã/x{%¿e¢?~�»õÞð±/ñ·£à?zB¨³ þ¢-)ú3ZþYtJÈ¿wßÝ5Ѽæ¦wp+˦ç¸O)÷þøöoÿ®Oڿ;¿»?¶â+p½\ºÐÊó×ÛÂ?GË?+ð_}wùþÖ 	ý°i Ï+¬û{ÒÐ_0×ßûGÄþó*núÅ¿¸	l÷ñ½«b/õ×8Hþ¶N_·ëä=^7õ÷âïö3ÆþbDZ·XÌþ¸¿gýýÚé¡×X�£âOm�Xª¿fIþ<íÃ_½?þâúù/F_Æø[Â5;úþ�æîÒ/³�µüñs süýÏ·¯¶gVÿɹX(·ýkÖÆ{ü½!B¿·ý,@¿e¿üöï¸Äßã*þz�åù{÷wè?gü­MòÍþnÿeí^»??(k°¦ýOÓµÛuyþdÌÑ5ö³q ¿ÅPû÷$ìï	°swéY¨¿§òÛ?ÈßJÞúä»Ìüñop*²¿fÕþÚuyþtÞpi�×íó³a½yyÌ_æ¼c[:3]Ç0Â?nòàoçïM?ñ·ÕÎ"ñ^û׬Ð_»mÿ�
S{yß³£7Èéù[¿ó|Vð÷tAeþåùóïcTó÷à/>íøuým+ÔðhÙ°	xýϦÚ[ØöçÂ?å;ò×(´¿Ã>|ïÏS ¿'ôý½ë/üÊþþPð·LàÇø¿{b¯k´yß6ôçÕûC^ÄÇÍÒý¹²§éOàoÿ²ÝµÃ>PÍßûóáöo௩áo±¿·E/výmµcÏ�à`û÷µè/;ýçÒ?-z½òJ¼Ûg¦îoiø[úGýÆëh¾¿÷óý½ç7åþXð·Á÷wnµd¯@�ª>_'о Nü¹¶§æï]}{ay5Ùm7ð×úû80,ïÀþ!þzç¾¢¿`%/Û.¥Rÿó|Åáë
>ûþ¶TbÏÐtLÙþüf3/~1ðÇ-ÿ,Á^®?Cz½ò2ëï
.ðLý=cÛßüâþæ7%SìnüäA±÷ü¬Ïu¾÷Äë`¤þÜV>ë/ðп-=Ñò³vIø$þÐʶäñ¶ÁÚ8tOýø[øû^ó`ó@À{¡Eë}Ç×Êoø�~Õþ<êÛz'ojM?äùcºA÷d¶Þ¿Âôzek²Ýgà¿°×ÏLý-Sò÷×ï{²þ§¦?àBæwD¦@�Ëy»ãöoÇæJì©ûÛbþRZj:ðáîàw?«±ífOôçköpþÞø{
>ñwXÍß<_PÁß÷¢7nú["øÛ§è¯ÄN×÷yý½`
>,�UöÁ´Ü·{à®L¶n?êÒw(Ro
ôdþ¾*ñwó·ò7ß¿#ñWþÞQõ·Þßáo®ÆÀ÷;xC´ñøãÙ·hòÇ.¿îÙ«b÷Äez¿ÜoÿÒNÙÓöü}OæÏýy ¿¯)÷|%Ü|w|Ëø[ø[ë¿Ò÷W²=1�
L�æø˧à/ó^"ÀþØ^áÝÏÌü½ëÂ^X¶¤Ïw_ÍøîOíKù¸úy!âCýÏ#ù)á<&~ãá>álʽÀüqK�£×gì7¼öD^ëoüo¬ûë÷u)Û@/ûpË?oi÷ÏZí?ñ·*ØÃùÛoÁß<}Gòký0óÆMÀßAhN÷·É~C»"~þËþ¦v5øÊñçyÚº4¾#yÿfÑOÈ?í~­_¡Ný­ë{ö0|Æß%TüÎO¹ç§ÜòÇϼ
ùÛéz÷ü½àÛM­Ê
>?Ø\�õ8mûëlùë6{>­+пͬ¿ÝÜ4_Â
 
>ú+rÊôJ§åø{Jð·÷/þÖ
>ù¹óõ\øþâ>§³¿ëõjÜùëܱ¾ï/Èú{÷Ý~7ß�ròRîÃù)÷!$åþJ¾¿ý@zôtÖ_ðzXùküúøóSýIrWþÂ
>ê׿d¼çÒ^#èÔ_¼Ýu`ê/¹îï`ñûyÊ­Ðþí[ï¥~ê/XÑ­üÞSC/¶*¨ë/oÞ|v¡hDUY¾?ÆkÕ?ÿ/ö<_zåî4åî­8{Câo!ÜÿøàʯdoARnÈß|±ýÃüFO½§"®îúÛЪEèõ÷b2óDÒMÓïh=_Þ_h,ÿ´s«|þ-ïoÅî4eë͸§¡àSÜ�
>ô7ôǧܬøËI¹ßÁg@ö×¥!¿äÊÛ÷·Ê÷·ÔË_´aÞ<2Ë·ãÔ_Ðõ OÙ½ÍwUäoço¯Ùë®ð r?fäoI°'È}ûþÖÕÃ_²-Pð`~UûcOÆg¡ñ¥ÏÓØýÚææ×ùÝPþ6%ÛíFþѳ= ¿ý¿Ày)÷AËþÀû�îï-nìÚ­û%LòÛó·#ò·Å__/i¨îL«ðÇÌ2ËI_UþòÁòý=õ÷$`þ<V6ÞPðwÐä;2¹Î|d3!WþbÄßfÝ�úËFº×þ²ó½	[*ôÓºõ·¦¼¿Þ¸Tâo?ЪôÐ;y)·+ÙK¸?'7âksáÑvØÊþdiGþâçõÇ{»þ¥4ÒFС¿.@]½p>îO´9ô¦Üoãíß]\Êñ÷Lâoe×ßúAö'ÞUûóý> Tµ?\ K/öÀç¢Ü!Èõ·ö§r[ñ÷NNʽ÷·7ø¾sÆ_wäûJįëom]ü¥íâ<xglåþº]ìµÏódþ
>?}ÅR7Ô¥¿
ñvó}=K²þ²Å[pÿ³gï@q\ü)¤Ü{ıëSÑϾ¿mñ:Íò'à£?AÅçàqï/gø_òçrú]½tì/y¾íòÔ_p7ìoÝÁ5}oÓÑñw 'åÞÏÔëcÙ°eØv³þÂà÷åÚøã'�Uü¡]jý%ÀμÝVâh]ú['øëüì¿Ç¹÷ׯóýü½SÀ_p?rïÛî'að´^¨¡?_Á_3Ihoz¯VþFÐ¥¿õ¿©¿ÅY¹#©ñýè¨û{;'åÞ§Ü@û÷d´à³<m­?qó'Y\[?n¼çûØÓYjå/+°¬öoG²ÉüíÍúËÔ·

>ùë÷-<åÛ?Äß:úË@ýÚøËæÌ>¶7}Òj¾üS±Z¿gýí¤ÜûÑQõ·?'åÞ§Ü{ı+èï«õõ`þÝß`Ù_ àó±½éÓ¾¢?¯¤:î®ìg¯ôF+Îvåø+Ü¿üoÙr¿§Ü»OÄ>ý$wêù{Ö÷_0^mÚ?Ðóp´~þâFÐ¥¿ÖÚþó5ù¯ö/^¿ù?ðj»¯PÓ¥èoNÊý&rþgøõümümðW×´ÿ@þ<¯ýOÔûMm¥Lÿ!ûK�.÷Þ9üd?t¿¯XÓ¥FtNʽM¹wÙíBÐßò®¿U­ªÂ[`þ<¯ã¿ÞÞÔJo< 0{RÕÃóö/õ·eü-�üùRhÿöùËL2`)÷nñ,ZèïHÿcqêo]mýe�f×Uç/:üÊ÷øª< p$ü½>à}éVÎßë?IÊýFqûõf;={ð[Åß×"ëkà�äüy^ÅùgzøÕï±GÈ~˨øûªè/æóTkêÍòý	=xʽ[üí3þÈö_ö27òT;ÿ Lð)¾Ay)ý{FÂß°ýóêNÈ_ï$FËÞ*|Ë¿7ä)÷­{A?öåüUÍO6xàCÙþï³ÇL{Éû+gú¯DÏ%á?ôs¿PþOôMyʽO¹wù¿WEË|ýÊÑò§;».àSü&öó«í®»þ¶°½²�ò×1Lý½ï/è_ÈSî=xÊ
øƾ½^wâoízúË$.{XÛô7Á§øMì¥Þ;þZ«Rþ¬¿pÊ]ÄßùþòÁ^yʽO¹_SîAö§s-J|/7Ѽjêoy?ücýe�>Æ¢"þöæû{37åÎùÝxÊýºXÙülìÛ{ âÓµ÷g»çÖÔ?à	¹éþ*_ûóÿkâïk¿Lʽ˭¿½¹)·²?àN±¶çAþúþûÃ'�{þ<Oïü/À�wÏö'>!7e~²ªøÓ½¿åIø°õ×ø
>x,øÛïoOnÊ­î¸SL¹Q_­?ì@dC]Wþf×Mü	OÈEÏ$éßffTõWÁmâ¹oËÐëÑðÇÜ)¬¿'Rkü:´²;pü)Ï®ùã;rþV¦xü½ú{½?{rSnY;aÏøïó1¢ÖøÏÕÙW¿@gvÝÌ_öÈ·W9ý^¿hÉÙËàa+Ë_ÞVvá)÷¡z=?:¥þ­?~Ðógâ:òÀ·ÏZ÷Ùצ!ÝßÔß¼¿màQÛY?iÒ¶[ËpP¿õȽÄ_]gïØ|øùc7æå¾ÝY½÷­pʽӭ¿Ü[ÓpPÿž¿jy«®þú·únü¡ß¿dc^àÛ½ê§ÿûë|ºÿmêÿí_ýA)÷N_häÎ{×ñû`¿9ão?ÒþÌ®ûóèøÏñ~×Qû1Wþ¢Êwà¯ðU¹¿±¿§êá�ü�ù+:»^À$ñFÇß¼?$åÞáÀ_Zù.ü%�_V÷÷LMýeV~¶üf×ùk?ÿqÆ_ô×n)Å_öÂï/ç3v¢)÷6èì¤KÍü	ÙûT­øKY¡?¿ìIá{Cîï¹äyÝñÏý¿ý1?Î=¯kú;=nüõ�nýy¬¿õ±¿ËÁô}�fþ¤{RT¹üÓµ¿g¸ì	ö÷J»rSnGþÂêýõOpÎem4öWÔÓß
Õh�óî­Ü~K|¥Ë_Jð·ð×qlS¶WõO~Ñ:ØßUÔß4åýmê×ô¼Ôß
>¿^þ|¸­v³7u
ü¡·Ä÷m7¬þ3þÖ)ù{¹¨?iÒïïu3~ó®EKý=]CÀ½î&þÍ®ç~Gþ/×mÖþDüå¦Üîü¡í_\ס¿KÃèâ»Ùuþ[âÚ_`ßß:îoß2¶úëÖýë¹uï/Ç8><ÝÒTó÷D=ýÁÏZ	ù¥¯þ°[âÙß3~ü¼¾¿.û§Ãþ¶4>qå¿^´uË÷O·@)÷{M4SÙ	@äîjþò'øêá¹%~ý-cü­üñ�·êúc.¼;ÝûÛ&ñ¤Ü2)wèo¡ïuIkPüù¹!¦Ú_Mü!·Ä{MÿáïÉ$_ýËa2;rRîEuåÌ?J§{CæÛkþºþ­?è@-Ê|uñß?þüyk¹?|nøJNÊ]¿mrÀìËêú÷
fþ3L2mNmøæ�íÌ´÷#áÏóóümQ|Á£ýÎýI.;;å²*ö·|ñ ûÓ¾}¶JàÆ £âïiÆß°?à¼Î´í(ÚºYð8þÚñÌ'øjäÚ")?~qîoi´ñPâÏóY[d£/yÊmÃß+Eý±�×eNUÑ0¸vþ
Ï@^	>¯>þ=)â	!ô×øóÖpõ ¿Í{«ÛÖM>Á êø_ÃöÏWñ'd$â^¼t(ý=ÿñþ6)ÛfIʽ­HÛ¥æïeé«Æyr¯ÏTrÜþ=ã?5PþÂÚÉd(ü?¼þD;@½Ui§gk¶KMè6þú�×fjyeäoYMüµ<îþS¬ýSÙ£s°üñ7ìþºüÕÙ°LÙ6KRî­EÚ.%¡9 è/ñç÷üÍëú{²6þ¼ÑáWä4MÑ7ôþVeÂúâhk¶KIhÎ'|M_0ë¯÷,Ò¯ÔÉ_fï=þLÿúc«¿Å¸¿u`ʽYro)GEhÎ[ áP&±�_Èúó¢ö¯&üZ3ôãýeÿ0ö?#ão~&�̸YroñÜZ¿^ýþæùþÓ5÷�Ig0ã¿f
¦ßÝû{*Þî:ü#yëÁ{Ñð«j {
×ÿì%K¨±¿øÒ7
>þ¸ÅØÃëo>æo-ro29ýmùÛbÏ_·~×pÿúó °Ë0æÙÅØÞPúëü+%þÒÊL믭â0p\úxýq}~OÓ_áhÌ?4GÂß²9þ²)w[êåou&å~.å/Yت
@ÏC|`8tþ2±½
>âü=í½àõø´¼�¦Ü/:ôû
9°IËߪLÊ]O<àìbì¡öçù?0åÞ0DþXÏÖÍ_Û<ÏORà^Û¡ôÇ,Æ-a»·LÙ
>øÛ\¿õ°?àò¨âûuð×î¨ýÏRà¤
0õ]Ö_:Bþâvö·Î¡¿ÍÎü­Eü¥�ûþæ×�;þméóÉÓßLʶ"r¯Sîõ&§Iþ^Ô÷׸<ªä§ü7|ÙüEÑ_·vÑûÅ¡÷÷Xßr¯ü­ó:÷·AËßÊLÊýLâo~ì¿ô?Ã쯵0M¹à`ú{÷Lüͯ=~0,þøÛC<þëùSîgUü­¯Òß&þVdRîe±¿µ°7dþ
>Þþ×^íiÊë/¸ÖhüU?¼m^#ó׫ßØßója/¨çÏZ½-)¼¡»ÿ¡Wù{y¿
>é©Î_·~ùåûÙûCMÁ°ú§!Ì_Rù]ýøÛT?¿ùtü²üµóðõüùùc?¶òçkùë|Áäü·äïEC«¡/~ý¥%úS±gäÏÖ_%ñ§|å/`ü=ÊþÖ»öÓÀ¢]I²ËíÆ)÷^=ìqþä¯æþ ÊÎyÁþV)yû÷¢kkuüeg[F)èÞcõ°gæ8þÆÚVù¬¿e*þÖ·
>v/óã#SÈ_6í]¥ »ºÌêÚ3ñ'i�¢ýTÒÊç=©ãÏ_cÜþm(ؼå/è/¸ÐÉ(ßÀ¡?C5öÇ.?Dyû®ÆS¶?)Òz©ø¿ÃZþþº�V2ÍÏ?èO�NÀøÈØùSéõÌóúÏ@Z&Kü­-Òz©�]ïÌ_A5É_­ý
°áØçïiöo²­uÊ+÷ðñJEÝö¯ÕlHíº¿ä²86þtFû¿þ,ÅÛ¿?1ôÁÚz��>IDAT·BÕßü:ùcA¦:èÊ_A öü°áØ^<Êñ÷Ò´;jþr¿a­EÏ@þTrÛõ×Î�ùËþ«±?û1¯ÿ2%ð"­Wq«µüe»OõÛ¿zÔ�~eVPCaʽ0b½B¸¦ òwXeî/_EÊmÙX;5õ§>ýDZúùkâFù¿åhøËôWþð*RnÛþü`¸ýµÆÆêä¯=ÞßfÄ9óZ5Hþ�¥ÕPñ=Þßböo²­.ÂGÁßþüÍ«$å¶î¨÷'LËUïϽ$e[ûãdçú[UÌ_î7ú¤¥µHþ°ÝwÇÔºüÙ²ûÏÅùþ`«ðqèïÙ~¿º�4Ý"øî»j5TIõ½à¸¬dyß ïß®4÷÷D)·À÷Å*¥ak!Çß|_ÅSn×þVùƱ٨÷ñ*SnþÚlðª$Õ2'ÓpÛðù[§l«4_ý­0÷·°ÊÛÁ�P¨aô§~4uÓpn/ªä|e|¡ïoU^-¯®¿z4ü¹¾Ð©?tQ®zéi¸·×«ãy¿¥ÒÁT 1Só·Ê?(FZø«(åÎ2ó§×�ÖÚdM¼Fj¸·gÕß!óW=@ò'õ§UAúír*YË_ÚÄß²<¦ÜuôÇÕÎÀø¦ÿä·iUP[»ýkð	Ù ©z+ù_8åv?�$6�¶ëéÏ3ò'�tíOþþÏéøË$½,¤Ü®jûËÖNþ
>Ý~{G´^i	,ÍßcÜDàrt±¢HóUØß³Æþæ[I¹ÝÔ÷©áõ§[AewrÒ[£ò9q^¸"¯WºñM£<)øó,Õ/ù³éOeCÝ
>RX^ÿÓý-ÎkN«þVz}9öÂÒ<¬¥Ü¥TzY0þô+HQàÀù{n0ýͳr;X¬¬¥¿üéÅý°ô+HI`åþÊNé/;Ñò«)w}ü1µ3þÔwc5¨ »8~z'¿gkéoI¿yvSn7Õcâ/­!÷gTA¹­²ªø{O¹»õ'm^ñ5ü=Áùó\Ô¯á¬/R=.ýÞ·rf#°Qv'½Bâo)²9ö'm^éø{ÜuÊÖ°­M
>üõkgýém<Ö².°|dÝ´¢þ«È"-tr·¬Þ­é?ݽȯµð|Ò×ø9 Ë«ô§?Ïkuõ®gæ/©Áó§ÿ(�Ó1ZQ¥ú�ÎSh�¸ò÷¬Ð$ÊBÇ)·ýÛVFÍÉ8ÆLÞHm
?à2s>ý=mêÏzÊíæ1ÏóLü©¬?³áWøÝåúë'Ë	±<#°äoy×b/<eÍ
>@g7lúkg@üiþÒ
>2©våþB*þú+æ+¯{«åo¾Ûé.!§Úx¾?ãçÀWøcÕû{\­C¨ù{¦ ¿eFþ >ô)·û­
>4åÏü1í±ÀW`ÙþÄ{¡¿§+ô·DÇß|Û)wûd±?ÏØO»àR¥l-îOHÙý%�ð£àÓ¿VSîrðq�Õýõjgüyæø
>.UâÖÔßS®ü-+Ý»4|YCëÏ+¯8@F`ùþøQ¾ª?5EýI»·uüÍ«&å¶	PÃ_X;ãÏ+ÖfY�Ø¿ò\âÔßR#@ûÊRn{�uüukg0üédÑK`áÛU¢÷¬Þ¿ Wñ÷t]üjþ¥ÜÖ�?É%°øýbá7ª¬_q¢Làs?
>>¥?ÿöÂã¿RnKt-~0þ<-²K 6ÛíF«rôü-.ä/ïõ%Fþ>ôcÕ¦ÜVjhðýüZvðYXQû¨î¯p@üUr[¨!=~ýýi4}*ÿ±ÁõÇ�§8¢Rò·¤Fþ<3}v/°Ö°?Ï&>;ÔhUPÃ_°¿¼×¥ïþ¤?¯@ÓWþZûSmütb¯±Áõ×8O1Ñ>UCjr[MªsÛ¿ Æþ<ëølF«ró[%Ô»Û¶?YÖèÐ_ÁøS©:*ðiT[¿Úþü ¿¼×2ò7¿Ö)w@ðR^-ñUíOrãþ¬¿uO¹­ÍÕ¦¿ükaeKÕ×îcZþü'Íýõ÷¿ú¥Üz)hPC^]ñÕÀr»òWèu,W÷ÛªÀós5¬_ü!)÷|Ü_àÒT÷BµL¹­
>O�5óçÕ_-üÁ)ÛI'0¨±?7)÷X«Fs&àÀL§dWÃêñÕØPîïÉbþø¥þ¥Ü5�(¿+©þ$)t-ðÕÆ pdû{Ò¥?)w-�zJÐøëÚCüÕ_=üÁ)÷	ºù+#åkÕEà`ø«}ËW/BÊ=OÆ påï	Ùh&¤t¯QÑz«K5å.À*÷'ëwÖ_u÷ÿå¬Æßã²TrÕ¥<¯Þþ¤é«ðþwR8À'ù[hÔþr×` J¾á«nÿ5r8ÀÇt0
ýr×¥5ý/Uùê¢nøªÜÿ¬hÊ=_êoafÎO/¨<å«ÓÒ«¿AÁWíþESîÒma`9/Ï«>å«_MAF
>üÕ~®Êêç/7å_¿¯Ô!å«WMyuðõ_åÏ(rϦlÅüÍ×iÿªI¹ÇêVU"@§þ_õÏ?*r/pèoº¿ÊRî±ÖUþàƯøjðü?)÷<iÊ=ß]û÷XMRî±ÚÖSeAþ¨Ûôêì!8O²-(�,çåÚ¤ÜcPac70dLR[x+(÷7¿@3çåú¤Ücõ½fâÏy¾¼D æþ {4e_¨ý7 )÷X]ý1w³nüáÓ­µÅ'ÉãêïO3å^P¨ý7()÷XÝkÌÌøÞn�nèÓLÃÁVÊ=Ï¥¿ÕûØ@TÚ¾jþ$Ëüj/g.j@ü©§Üó
>t0%/×/å®?Àv¦)Äm?/-/w&xpüµÔRnþjr@¦CªqCºÀ§°c üµRîbþ*å$L8?ó_ʧw»5ÐúÏ_+/å.æï±J¹ÇÉ_~¥êÝíÖ ëTæ)÷¼¡J¹ ý³»îúÒÚ[°¡O¹ÇÆß05}WAöÇ(Tnÿ²{ô�ÖVÛ<øþF<å)õǧÙ3|£rÀÀ§=.#rÀAÀg
>
¿ü±âðUûØÐû|Fì0øÝ{$�
>>£ßrÄü
_½×`{*Áø·
>#r@íJ%ø5Éá«gíL%ú=-HøjW;S	ÑF�¾zÕÎ UBÑßü¾ZÕÎUB£E�	_]jgô*ü¾ÔÎHVB£5ò�	_
jgT+aÔý¾ÔÎWB£5Â�	_
jg´+¡ÑU¯µ3ò0¢þ_j*a¨üQÊ=HµCµ0þ¨ÚëP;TÃèRôGÕ^Ú¡Zbr×»v¨Ü¥Ü¤üÕËÕz=ðµ\mBþꮹµÁ×"#æðÕ
>ùrׯøÈßø£­¶øàÿH_}ñÀáöG)wÍñQí¯?J¹ëjgHýQÊ=ø¨vÐ¥ÜjgØüQÊ=Pø¨vÉ¥Üõ¨Íï§C6þ(带jgXüQÊ=¨ø¨vÞ¥Üjg°ýQÊ=àø¨v×¥Üjg@ýQÊ=ø¨zÑ¥ÜCjgÐüQÊ=Lø¨vÊ¥ÜÃjg`üQÊ=ø¨vÃ¥ÜCj§þþ(å^|T;5÷G)÷pã£Ú©±?J¹ÕNMýQÊ=ø¨vêèRîÁGµS7r>ªZù£{ÔðQíÔÆ¥Ü#j§þ(宾j>ü
ùEüÕ³é£Ú©Ü¥Ü£j§1ÕNþjüBµÀºâùÚiBµ¿Úâ#Ô;U1á£Ú©Ä_EõN�ëoÄk§1õNþjüB½ÀºâíÚiH½¿Úâ#£PïmÂWçßü
y½·	ù5r>ªüQÊMø¨v*òG)7á£Ú©È¥Üj§"r>ªüQÊMø¨v*òG)w=ô
ê/Nþý¢Û~|ü'¶Éß°W{ðQí?J¹	ÕNEþ(å¦AÕNEþ(å¦BµS?J¹©PíTåRn*T;ù£
>ÕNEþ(å¦BµS?J¹©PíXüu#�RíØýuÛåø|ä¯~å;~ñû_ÿMø¯þéw~÷O/qÿâÓ©1jø`íÊß<ê%ü秽}ÊýsÀÆÈá#u«/;¿úöKßù·î?Øùò/ýäËÎâþ°÷Ïa>¡#�Ö¥t:Á/¾xÔú§ÎgI/óèþï?w~üó¶þòßþó	¢rÈÀÆèá#µñö1[¿éü]òÏ:Õýß¿ê|ùçk÷z¢uög|F5Fù«¿ÏøõVëËÎwñå¿ún+ügÐýß óeæ?ïüþ××Ûá)ÕA|°.þ~þG
Û·Gßÿ½ð(óÏÏ:a6ú75÷gÖm">òWßhõ½_}û¥oÿªóïXû÷ûÞ÷}£îþNªÆ(â#5ñúþ¼û¿ÞùOfÐ×fÇãÏ 	l$>òW#¿LýõCÏ6HÿÓè´j$>X#?û¿êMúýà¥|Ùùa«þ3Ì_¾|ÿwáO·	l&>X­^üÒùÏï´ØE/mæñüã!<¯#üÕÇßþÃg¾øôÛá?_ú§Ï}Þ[ôÙNÿÍ¿»óÅ Xm£�Zíü]ÝÕhS
S©yí|úý?kÿíé2!jTÅTê^;½`ç7/
á¹Eþ¨Ô¾v~ø«Ï}öó?°_¿Mþ ÕN½ÿU1ªÊ@òGj§º¿ AULj§²&üQ¡Ú©îohPS¡Ú©¬	$tSíT÷W4¨é,§Ú©¬	$j§º?c$ü½ôóß=ê?òW¿¿cÈü}÷ß>ôù/¿Ë}õ{Û+£÷o@XUt¸üý8ÚÉöYçÇ/µÈù«ß_2\þ~ÛùÕ_½ôÚOøÅ¢Î'¾$5Ãåï÷ô/|é~ûûßÿöï_ï^Kë¥G¾BýVëë~ßmðo_þþ×?ööCoµ~òï_Þz{ò7Ëpùû¬óO¯%üþ=÷«²þZ¿îüuë:þ¬õ×½;ª{_~ôV?ôx?Îo	 tÝ¿tÙ|ö¯?	oÔüÎ?}íµ~Ùùû¤ç÷?ÿ¹û¿é{Úý}ç»ÿýéw^úËO;ÿÚêïþ·ÏÿçkÁwÓù9úÐñ3dùç_ÿÛv	þÇkaó§áþ6ìhfüý°óiëçtuýk¸¹]¯¼Öù¼Õßý×ïÿç/í_©?§MàÐÍÿýé·ÿîw	¯E²~Ïùû³G·~óyëó_·>ëöA[ú÷ÿ}ÔêïþI_õùÐñ3óïß[3Ô_ë7¿|ôËÖ/ýyç7­ps×þEü
¿gTÈÓ&pýµÃ+îþíþiïå_tþ¥óîPñç_tÿëÎO¿ñ§ßèÁiî7ïÒO�ËùËßoþîÛ/}ý»ÿÞùm¿|Áå/_ÄýwÂivçËÞpïÎÃüñ÷ÓÎçûçÁKù·¿¦óü9nË_2pûéüÿ÷W¾|w)_ë>»
d¯ú¯É³UÛýê/¨ÿI�KúËßw~ñÛß?úüÓ^~ÙOüµ?ý"úÇg½Gùæ7~ùÅ¿üzøB»î~þè÷¿ýù_ÑiO�7tÿÑ0×0ÕNÝÿ(òG�©vªû£Èù£Ú©®?HµCþ¨©bõ?HµCþ¨©bí?òGµCþ¨©bí?òGµCþ¨©bí?HµCþ¨©?*jüQ
S!TÅT¨vÈÕ0òGULjüQSí?ªa*T;äªjüQ
S¡Ú!TÅT;äj
>Õù£*¦Ú!TÅT¨vÈù£Ú!TÅT¨vÈù£Ú!TÅTF»vÈù£Ú!TÅTF±vȤÚ!TÃTÈHµCþ¨©?*jüQ
S!TÅT¨vÈU1á©òGþ¨vÈU1Q¬òGþ¨vÈU1Q¬òGþ¨vÈUq¡òpùzNþ`·üJ5ü¿nù*ÕòG�Éù#?ÂËKßOï¿ö÷Sÿår
>ú³¯}'9¿Ã¿ëñ¿Û}ü¡åÿÎv0õ#c����IEND®B`
Comment 2 Glenn Kennard 2014-08-21 14:29:31 UTC
Fixed now in mesa git master by:

commit 0fb221065eff3788e9bf607a5cf39bd0409740be
Author: Glenn Kennard <glenn.kennard@gmail.com>
Date:   Wed Aug 20 21:55:37 2014 +0200

    r600g: Fix flat/smooth shade state toggle


This should show up in the 10.3 release


Thanks for the exemplary bug report!


bug/show.html.tmpl processed on Mar 27, 2017 at 20:26:52.
(provided by the Example extension).